Package ru.bitel.bgbilling.modules.mtsbank.server.event

# Class MTSbankAutopaymentSumEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.modules.mtsbank.server.event.MTSbankAutopaymentSumEvent

All Implemented Interfaces:
  `Serializable`, `ErrorReturnableEvent`

public class MTSbankAutopaymentSumEvent extends ru.bitel.bgbilling.kernel.event.common.LocalEvent

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MTSbankAutopaymentSumEvent()`
  `MTSbankAutopaymentSumEvent(int moduleId, int contractId, BigDecimal sum)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BigDecimal`
  `getSum()`
  `void`
  `setSum(BigDecimal sum)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MTSbankAutopaymentSumEvent

    public MTSbankAutopaymentSumEvent()

  - ### MTSbankAutopaymentSumEvent

    public MTSbankAutopaymentSumEvent(int moduleId, int contractId, BigDecimal sum)

- ## Method Details

  - ### getSum

    public BigDecimal getSum()

  - ### setSum

    public void setSum(BigDecimal sum)